パスワードを忘れた? アカウント作成
7037 story

TWAIN SANE InterfaceでOS X非対応スキャナーを利用 4

ストーリー by Acanthopanax
SCSIスキャナーも 部門より

本家記事より。Mattias Ellert氏が、Mac OS X用TWAIN SANE Interfaceを公開している。これは、SANEバックエンドを利用して、TWAIN対応ソフトウェアからスキャナーを利用できるようにするTWAINデータソースソフトウェアである。これにより、OS X用ドライバが提供されていなくても、SANE対応スキャナーなら、OS Xでも利用できるようになることが期待される。

この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
  • Mac OS X対応のスキャナーユーティリティには、VueScan [hamrick.com]もあります。こちらはシェアウェア($59.95~)。対応スキャナ [hamrick.com]もそこそこあります。

  • by yhiraki (14165) on 2003年12月16日 0時25分 (#455437)
    MacOSがXになり、UNIX文化が入ってくるようになってから、「メーカに頼らず解決しよう!」的な物もどんどん入ってくるようになって、願ったりかなったりです。

    例えばPantherに標準搭載となったGimp-Print [sourceforge.net]や、レーザプリンターに多くの対応機種を持つESP Ghostscript(注:本家じゃないです) [kumagaku.ac.jp]など。基本的にここ [sourceforge.net]とここ [linuxprinting.org]で動作確認とれてるプリンターは動かせるってんだから驚きですな。

    ちなみに、「プリンター、シリアルだからOS Xじゃ使えねーよ」って人は、CUPS [cups.org]の最新ソースをコンパイルしてシリアルドライバをデフォルトの奴と入れ替えるか、それが面倒くさい人はこれ [vbe.com]を使えば良いみたい。あ、CUPSをコンパイルするとSCSIプリンター用のドライバなんかまで出てくるけど、この辺は使えないのであしからず。

    ところで(本当はこれを書くつもりだった…)このドライバを入れたら、OS X 10.2以降がOSレベルで対応しているスキャナが増えたりするのかな?
    • ところで(本当はこれを書くつもりだった…)このドライバを入れたら、OS X 10.2以降がOSレベルで対応しているスキャナが増えたりするのかな?

      TWAINレベルでは対応すると思うのですが、OS X自体でTWAINサポートってありましたっけ? Pantherには、/System/Library/Frameworks/TWAIN.frameworkなんてのも入ってるのですが。

      親コメント
      • by yhiraki (14165) on 2003年12月17日 15時48分 (#456590)
        すいません、TWAINレベルでしたね。たしかOS X 10.2以降のイメージキャプチャは一部のTWAIN機器に対応してると聞いた記憶があったもので…なので対応スキャナが増えたりするかなと思いまして。
        親コメント
typodupeerror

にわかな奴ほど語りたがる -- あるハッカー

読み込み中...